Create entity
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/entities \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"legal_name": "Entity Test LLC",
"tax_number": "56HSK1O0ATI054",
"contact": {
"email": "entity@gmail.com",
"phone": "+5541999381724"
},
"address": {
"street": "Avenida Paulista",
"city": "Sao Paulo",
"district": "Bela Vista",
"zip_code": "01311000",
"state": "SP",
"number": "1000"
},
"business_infos": {
"average_ticket": 10000,
"anual_revenue": 10000000
},
"trade_name": "Entity Test"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/entities"
payload = {
"legal_name": "Entity Test LLC",
"tax_number": "56HSK1O0ATI054",
"contact": {
"email": "entity@gmail.com",
"phone": "+5541999381724"
},
"address": {
"street": "Avenida Paulista",
"city": "Sao Paulo",
"district": "Bela Vista",
"zip_code": "01311000",
"state": "SP",
"number": "1000"
},
"business_infos": {
"average_ticket": 10000,
"anual_revenue": 10000000
},
"trade_name": "Entity Test"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legal_name: 'Entity Test LLC',
tax_number: '56HSK1O0ATI054',
contact: {email: 'entity@gmail.com', phone: '+5541999381724'},
address: {
street: 'Avenida Paulista',
city: 'Sao Paulo',
district: 'Bela Vista',
zip_code: '01311000',
state: 'SP',
number: '1000'
},
business_infos: {average_ticket: 10000, anual_revenue: 10000000},
trade_name: 'Entity Test'
})
};
fetch('https://api.sandbox.trio.com.br/banking/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"birth_state": "pr",
"brcode_city": "",
"brcode_name": "",
"company_id": "019f2433-fd74-caee-f3a1-070d97dcdaf1",
"constitution_date": "01/01/2024",
"email": "entity@gmail.com",
"id": "019f2433-fd74-8cd0-5c1a-b871ccf720ba",
"initiation_service": "iniciador",
"inserted_at": "2026-07-02T19:00:14.854118Z",
"legal_name": "Entity Test LLC",
"monthly_income": 10000000,
"name": "Entity Test",
"org_id": "019f2433-fd74-a253-0feb-f3262971e83e",
"tax_number": "05964110000197",
"updated_at": "2026-07-02T19:00:14.854125Z"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Entities
Create entity
Create a new entity
POST
/
banking
/
entities
Create entity
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
The create entity legal, contact, address, business, and trade name attributes
Body params create entity
Legal name of the entity
Tax number of the entity
Address information of the entity
Show child attributes
Show child attributes
Contact information of the entity
Show child attributes
Show child attributes
Business information of the entity
Show child attributes
Show child attributes
Trade name of the entity
Response
Entity
An entity for compliance
⌘I

